> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getunblocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask a Question

> Submit a question to Unblocked. This endpoint initiates an asynchronous question processing. Use the GET endpoint to poll for the response.




## OpenAPI

````yaml https://getunblocked.com/api/v1/public-api.json put /answers/{questionId}
openapi: 3.0.3
info:
  title: Unblocked Public API Reference
  description: >
    The Unblocked Public API offers seamless collection for managing custom data
    sources through a structured set of endpoints.

    It allows users to create collections and organize and upload documents.


    # Base URL

    The base URL for all requests is:


    ```jsx

    https://getunblocked.com/api/v1

    ```


    # Authentication

    Authentication requires an API key, obtainable from the web dashboard,

    which must be included in the `Authorization` request header for all
    endpoints.


    ```bash

    curl -X GET https://getunblocked.com/api/v1/collections \
         -H "Authorization: Bearer YOUR_API_KEY"
    ```


    # Rate Limits & Quotas


    **Resource Limits:**

    - Collections: Maximum 25 per team

    - Request Size: Maximum 10MB per request

    - Pagination: 1-200 items per page (default: 25)


    **Answers API:**

    - Daily Limit: 1000 questions per day per organization

    - Quota Reset: Midnight PST

    - Exceeding the limit returns a 429 Too Many Requests error


    **Field Constraints:**

    - Collection name: 1-32 characters

    - Collection description: 1-4096 characters
  contact:
    name: Unblocked
    email: help@getunblocked.com
  version: v1
  x-logo:
    url: https://avatars.githubusercontent.com/u/91906527?s=300
    altText: Unblocked
servers:
  - url: https://getunblocked.com/api/v1
security:
  - ApiKeyBearerAuth: []
tags:
  - name: Collections
    description: >
      A collection in Unblocked allows you to organize related documents from
      various data sources, such as customer support tools, knowledge bases, and
      internal wikis, which are not natively supported by Unblocked.


      You can create multiple collections to manage documents from different
      sources.


      You have the ability to list, create, update, and delete them as needed.


      Deleting a collection will also remove all the associated documents.
  - name: Documents
    description: >
      A document contains content that Unblocked uses to answer questions. Each
      document is associated with a collection, so you must create a collection
      before adding documents. Documents used to provide answers will appear as
      references in the Unblocked interface.


      You can create and delete documents as needed.
  - name: Answers
    description: >
      Ask Unblocked questions and retrieve answers asynchronously. Submit a
      question using the PUT endpoint and poll for the response using the GET
      endpoint.
paths:
  /answers/{questionId}:
    put:
      tags:
        - Answers
      summary: Ask a Question
      description: >
        Submit a question to Unblocked. This endpoint initiates an asynchronous
        question processing. Use the GET endpoint to poll for the response.
      operationId: askQuestion
      parameters:
        - $ref: '#/components/parameters/QuestionId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Question'
        required: true
      responses:
        '204':
          description: No Content
        '400':
          $ref: '#/components/responses/ErrorResponse'
          description: Bad Request - Invalid or missing required fields
        '401':
          $ref: '#/components/responses/ErrorResponse'
          description: Unauthorized - Invalid or missing API token
        '403':
          $ref: '#/components/responses/ErrorResponse'
          description: Forbidden - Answers API requires Platform or Enterprise plan
        '429':
          $ref: '#/components/responses/ErrorResponse'
          description: >-
            Too Many Requests - Daily quota of 100 questions exceeded (resets
            midnight PST)
        '500':
          $ref: '#/components/responses/ErrorResponse'
          description: Internal Server Error
components:
  parameters:
    QuestionId:
      name: questionId
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/ApiResourceId'
  schemas:
    Question:
      type: object
      properties:
        question:
          type: string
          description: The question to ask
      required:
        - question
    ApiResourceId:
      description: The ID of a resource that can be retrieved from the service.
      type: string
      format: uuid
      example: 12345678-abcd-123456789-123456789abc
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                description: The HTTP status code
                example: 400
            required:
              - status
  securitySchemes:
    ApiKeyBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Unblocked API Key
      description: The API key to authenticate requests. Obtainable from the web dashboard.

````